

#tableau {
    display: grid;
    grid-template-columns: 200px 0px repeat(21, 250px);
    justify-items: stretch;
    align-items: stretch;
    margin: 20px;
    width: calc(100vw - 40px);
    max-height: calc(100vh - 96px);
    overflow: auto;
    box-shadow: rgba(0, 0, 0, 0.24) 0px 3px 8px;
}

#blank {
    position: sticky;
    top: 0;
    left: 0;
    background-color: white;
    z-index: 20;
    grid-row: 1 / span 2;
    grid-column: 1 / span 1;
}

.machine {
    grid-column: 1 / span 1;
    position: sticky;
    left: 0;
    padding: 48px 10px;
    background-color: white;
    z-index: 10;
    box-shadow: rgba(0, 0, 0, 0.24) 0px 3px 8px;
}

.fabrication-placeholder {
    position: relative;
    grid-column: 2 / span 1;
    z-index: 4;
}

.fabrication {
    position: absolute;
    border: 2px solid red;
    border-radius: 5px;
    height: 116px;
    margin: 3px 0;
    padding: 5px;
    z-index: 5;
    background-color: white;
}

.fabrication .of {
    grid-area: of;
    font-weight: bold;
}
.fabrication .formule {
    grid-area: formule;
    font-weight: bold;
}
.fabrication .designation {
    grid-area: designation;
}
.fabrication .infos {
    grid-area: designation;
    height: 24px;
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
}

.status {
    display: flex;
    flex-direction: row;
    justify-content: space-around;
}

.status > * {
    display: flex;
    flex-direction: row;
    width: 49%;
}

.done {
    height: 10px;
    background-color: greenyellow;
    border: 2px solid black;
    border-right: none;
}
.not-done {
    flex-grow: 1;
    height: 10px;
    border: 2px solid black;
    border-left: none;
}

.status-picker {
    position: absolute;
    right: 5px;
    bottom: 55%;
}

.actions {
    position: absolute;
    right: 5px;
    bottom: 30px;
}


.date {
    grid-row: 1 / span 1;
    position: sticky;
    top: 0;
    text-align: center;
    border-left: 2px solid grey;
    background-color: white;
    z-index: 4;
}

.equipe {
    grid-row: 2 / span 1;
    position: sticky;
    top: 24px;
    text-align: center;
    background-color: white;
    z-index: 4;
    box-shadow: rgba(0, 0, 0, 0.24) 0px 3px 8px;
}

.date + .equipe {
    border-left: 2px solid grey;
}

.custom-border {
    z-index: 1;
    display: flex;
    justify-content: center;
    align-items: center;
    border-top: 2px solid grey;
}

.custom-border > a {
    display: none;
    border-radius: 50%;
    width: 45px;
    height: 45px;
    justify-content: center;
    align-items: center;
}

.custom-border:hover > a {
    display: flex;
}

.custom-border + .equipe {
    border-left: 2px dashed grey;
}

.custom-border[data-equipe="n"] {
    border-left: 2px solid grey;
}

.custom-border:not([data-equipe="n"]) {
    border-left: 2px dashed grey;
}

.dropdown-menu {
    /* z-index: 10; */
}
.dropdown-menu * {
    /* z-index: 10; */
}